package domain


type AlibabaRetailMarketingItempoolActivityUpdatePeriodicConfigDto struct {
    /*
        每天的什么时间阶段搞活动,精确到秒单位 例如:03:00:00_05:00:00     */
    EveryDayPeriods  *[]string `json:"every_day_periods,omitempty" `

    /*
        周期配置是否生效 defalutValue:false    */
    Periodic  *bool `json:"periodic,omitempty" `

    /*
        星期几搞活动 [1:Mon;2:Tues;3:Wed;4:Thur;5:Fri;6:Sat;7:Sun]     */
    Weekdays  *[]int32 `json:"weekdays,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityUpdatePeriodicConfigDto) SetEveryDayPeriods(v []string) *AlibabaRetailMarketingItempoolActivityUpdatePeriodicConfigDto {
    s.EveryDayPeriods = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityUpdatePeriodicConfigDto) SetPeriodic(v bool) *AlibabaRetailMarketingItempoolActivityUpdatePeriodicConfigDto {
    s.Periodic = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityUpdatePeriodicConfigDto) SetWeekdays(v []int32) *AlibabaRetailMarketingItempoolActivityUpdatePeriodicConfigDto {
    s.Weekdays = &v
    return s
}
